PMAP_IS_PREFAULTABLE(9)

NAME
pmap_is_prefaultable - determine if a page may be prefaulted

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
boolean_t
pmap_is_prefaultable(pmap_t pmap, vm_offset_t va);

DESCRIPTION
The pmap_is_prefaultable() function provides a means of determining if the page residing at virtual address va in the physical map pmap may be pre-faulted into main memory.

This is a helper function which is called by vm_fault_prefault(9).

SEE ALSO
pmap(9), vm_fault_prefault(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.